Configure table security rules
Configure table security rules by assigning an API group GUID or removing restrictions
Authentication: required
PUT
/
workspace
/
{workspace_id}
/
table
/
{table_id}
/
security
Configure table security rules
curl --request PUT \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/security \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"guid": "<string>",
"include_xanoscript": true
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/security"
payload = {
"guid": "<string>",
"include_xanoscript": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({guid: '<string>', include_xanoscript: true})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/security', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"created_at": "2023-04-19 21:01:32+0000",
"updated_at": "2023-04-19 21:01:32+0000",
"name": "Test Database",
"description": "My test database description",
"docs": "Documentation",
"guid": "YE1fwVhQ-enRlc6Sb42Gqru58-0",
"auth": true,
"tag": [
"example tag"
],
"xanoscript": {
"value": "<string>",
"message": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Success!
Show child attributes
Show child attributes
Related topics
Configure table security rules by assigning an API group GUID or removing restrictionsXano Metadata API (Instances)Update security settings for an API group. Configure access permissions and authentication requirements.Was this page helpful?
⌘I
Configure table security rules
